homebridge unable to install

Max2Play Home 2016 (en) Forums Max2Play on Raspberry PI homebridge unable to install

Tagged: 

This topic contains 4 replies, has 2 voices, and was last updated by  Heiner Moderator 3 years, 2 months ago.

Viewing 5 posts - 1 through 5 (of 5 total)
  • 7. August 2017 at 19:32 #30484

    hi,

    Having recently paid for premium so i could enjoy the voice control, i am unable to install home bridge and get the following error in the terminal window of the web page.

    When finished this message disappears.
    node-v8.2.1-linux-armv7l/include/node/uv-linux.h
    node-v8.2.1-linux-armv7l/include/node/stdint-msvc2008.h
    node-v8.2.1-linux-armv7l/include/node/android-ifaddrs.h
    node-v8.2.1-linux-armv7l/include/node/uv-darwin.h
    node-v8.2.1-linux-armv7l/include/node/uv-os390.h
    node-v8.2.1-linux-armv7l/include/node/v8-testing.h
    node-v8.2.1-linux-armv7l/include/node/node_object_wrap.h
    node-v8.2.1-linux-armv7l/include/node/v8-profiler.h
    node-v8.2.1-linux-armv7l/include/node/zconf.h
    node-v8.2.1-linux-armv7l/include/node/v8.h
    node-v8.2.1-linux-armv7l/include/node/tree.h
    node-v8.2.1-linux-armv7l/include/node/uv-sunos.h
    node-v8.2.1-linux-armv7l/include/node/v8-inspector-protocol.h
    node-v8.2.1-linux-armv7l/include/node/node.h
    node-v8.2.1-linux-armv7l/include/node/uv-aix.h
    node-v8.2.1-linux-armv7l/include/node/uv-unix.h
    node-v8.2.1-linux-armv7l/include/node/common.gypi
    node-v8.2.1-linux-armv7l/include/node/v8-version.h
    node-v8.2.1-linux-armv7l/include/node/uv-threadpool.h
    node-v8.2.1-linux-armv7l/include/node/node_buffer.h
    node-v8.2.1-linux-armv7l/include/node/uv.h
    node-v8.2.1-linux-armv7l/CHANGELOG.md
    /var/www/max2play/application/plugins/voicecontrol/controller/../scripts/install_homebridge.sh: line 26: cd: node.tar.gz: Not a directory
    sudo: npm: command not found
    sudo: npm: command not found
    sudo: npm: command not found
    sudo: npm: command not found
    cp: cannot create regular file ‘/usr/local/lib/node_modules/homebridge-squeezebox/index.js’: No such file or directory
    mkdir: cannot create directory ‘/home/pi/.homebridge/’: File exists
    Finished! Click here to Reload Page

    Reboot is needed to work properly!

    can someone guide me here, i am newish to linux, although i have managed to install homebridge on another pi i have using the command line, is this something i will need to fix via command line, which defeats the purpose for me.

    regards

    stredwizard

    7. August 2017 at 19:35 #30485

    i noticed another user has the same issue but as far as i can tell didnt have a solution

    i just installed the required node version v 8.2.1 by terminal but still has same error?

    regards
    stredwizard

    • This reply was modified 3 years, 2 months ago by  stredwizard.
    8. August 2017 at 16:52 #30497

    Hi stredwizard,

    As mentioned in the other thread:
    The Config has to be changed manually in the web interface under “Edit Homebridge Config”. Here’s our HowTo on exactly how you can set it up: https://www.max2play.com/en/how-tos/how-to-max2play-voice-control-with-apple-voice-assistant-siri/

    The Webinterface of HomeBridge is not intended to be used in this solution. Please refrain from trying to use it.

    8. August 2017 at 17:27 #30498

    Thank you for replying, I am unable to start homebridge

    Trying to launch … NOT successful Click here to show detailed information
    *** WARNING *** The program ’node‘ uses the Apple Bonjour compatibility layer of Avahi.
    *** WARNING *** Please fix your application to use the native API of Avahi!
    *** WARNING *** For more information see
    *** WARNING *** The program ’node‘ called ‚DNSServiceRegister()‘ which is not supported (or only supported partially) in the Apple Bonjour compatibility layer of Avahi.
    *** WARNING *** Please fix your application to use the native API of Avahi!
    *** WARNING *** For more information see
    /usr/local/lib/node_modules/homebridge/node_modules/bindings/bindings.js:83
    throw e
    ^

    Error: /usr/local/lib/node_modules/homebridge/node_modules/ed25519/build/Release/ed25519.node: file too short
    at Object.Module._extensions..node (module.js:598:18)
    at Module.load (module.js:503:32)
    at tryModuleLoad (module.js:466:12)
    at Function.Module._load (module.js:458:3)
    at Module.require (module.js:513:17)
    at require (internal/module.js:11:18)
    at bindings (/usr/local/lib/node_modules/homebridge/node_modules/bindings/bindings.js:76:44)
    at Object. (/usr/local/lib/node_modules/homebridge/node_modules/ed25519/index.js:1:99)
    at Module._compile (module.js:569:30)
    at Object.Module._extensions..js (module.js:580:10)

    The z-wave config page is not available.

    Regards

    Streswizard

    9. August 2017 at 11:55 #30512

    Hi stredwizard,

    Thanks for sharing the log and clarifying your issue.

    We have found a bug in the install script and fixed it in the current beta.

    You can either make a beta update, reboot your system and install the homebridge again or just install the plugin again from the same URL and reboot.

Viewing 5 posts - 1 through 5 (of 5 total)

You must be logged in to reply to this topic.

Register here